Package org.apache.sysds.parser

# Class Statement

java.lang.Object
org.apache.sysds.parser.Statement

All Implemented Interfaces:
  `ParseInfo`

Direct Known Subclasses:
  `AssignmentStatement`, `ForStatement`, `FunctionStatement`, `IfStatement`, `ImportStatement`, `MultiAssignmentStatement`, `OutputStatement`, `PathStatement`, `PrintStatement`, `WhileStatement`

public abstract class Statement extends Object implements ParseInfo

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Statement.FederatedPSScheme`
`static enum`
`Statement.PSCheckpointing`
`static enum`
`Statement.PSFrequency`
`static enum`
`Statement.PSModeType`
`static enum`
`Statement.PSRuntimeBalancing`
`static enum`
`Statement.PSScheme`
`static enum`
`Statement.PSUpdateType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOOLEAN_VALUE_TYPE`
`static final String`
`DOUBLE_VALUE_TYPE`
`static final String`
`FRAME_DATA_TYPE`
`static final String`
`GAGG_FN`
`static final String`
`GAGG_FN_CM`
`static final String`
`GAGG_FN_CM_ORDER`
`static final String`
`GAGG_FN_COUNT`
`static final String`
`GAGG_FN_MAX`
`static final String`
`GAGG_FN_MEAN`
`static final String`
`GAGG_FN_MIN`
`static final String`
`GAGG_FN_SUM`
`static final String`
`GAGG_FN_VARIANCE`
`static final String`
`GAGG_GROUPS`
`static final String`
`GAGG_NUM_GROUPS`
`static final String`
`GAGG_TARGET`
`static final String`
`GAGG_WEIGHTS`
`static final String`
`INT_VALUE_TYPE`
`static final String`
`MATRIX_DATA_TYPE`
`static final String`
`OUTPUTSTATEMENT`
`static final String`
`PS_AGGREGATION_FUN`
`static final String`
`PS_BATCH_SIZE`
`static final String`
`PS_CHECKPOINTING`
`static final String`
`PS_EPOCHS`
`static final String`
`PS_FEATURES`
`static final String`
`PS_FED_AGGREGATION_FNAME`
`static final String`
`PS_FED_BATCH_SIZE`
`static final String`
`PS_FED_DATA_SIZE`
`static final String`
`PS_FED_GRADIENTS_FNAME`
`static final String`
`PS_FED_MODEL_VARID`
`static final String`
`PS_FED_NAMESPACE`
`static final String`
`PS_FED_POSS_BATCHES_LOCAL`
`static final String`
`PS_FED_RUNTIME_BALANCING`
`static final String`
`PS_FED_WEIGHTING`
`static final String`
`PS_FREQUENCY`
`static final String`
`PS_GRADIENTS`
`static final String`
`PS_HE`
`static final String`
`PS_HYPER_PARAMS`
`static final String`
`PS_LABELS`
`static final String`
`PS_MODE`
`static final String`
`PS_MODEL`
`static final String`
`PS_MODELAVG`
`static final String`
`PS_NBATCHES`
`static final String`
`PS_NUM_BACKUP_WORKERS`
`static final String`
`PS_PARALLELISM`
`static final String`
`PS_SCHEME`
`static final String`
`PS_SEED`
`static final String`
`PS_UPDATE_FUN`
`static final String`
`PS_UPDATE_TYPE`
`static final String`
`PS_VAL_FEATURES`
`static final String`
`PS_VAL_FUN`
`static final String`
`PS_VAL_LABELS`
`static final String`
`SCALAR_DATA_TYPE`
`static final String`
`SEQ_FROM`
`static final String`
`SEQ_INCR`
`static final String`
`SEQ_TO`
`static final String`
`SETWD`
`static final String`
`SOURCE`
`static final String`
`STRING_VALUE_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`Statement()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`controlStatement()`
`int`
`getBeginColumn()`
`int`
`getBeginLine()`
`int`
`getEndColumn()`
`int`
`getEndLine()`
`String`
`getFilename()`
`String`
`getText()`
`abstract VariableSet`
`initializebackwardLV(VariableSet lo)`
`abstract void`
`initializeforwardLV(VariableSet activeIn)`
`boolean`
`isEmptyNewLineStatement()`
`String`
`printErrorLocation()`
`String`
`printWarningLocation()`
`void`
`raiseValidateError(String msg, boolean conditional)`
`void`
`raiseValidateError(String msg, boolean conditional, String errorCode)`
`abstract Statement`
`rewriteStatement(String prefix)`
`void`
`setBeginColumn(int passed)`
`void`
`setBeginLine(int passed)`
`void`
`setCtxValues(org.antlr.v4.runtime.ParserRuleContext ctx)`
Set ParserRuleContext values (begin line, begin column, end line, end column, and text).
`void`
`setCtxValuesAndFilename(org.antlr.v4.runtime.ParserRuleContext ctx, String filename)`
Set ParserRuleContext values (begin line, begin column, end line, end column, and text) and file name.
`void`
`setEmptyNewLineStatement(boolean isEmptyNewLineStatement)`
`void`
`setEndColumn(int passed)`
`void`
`setEndLine(int passed)`
`void`
`setFilename(String passed)`
`void`
`setParseInfo(ParseInfo parseInfo)`
Set parse information.
`void`
`setText(String text)`
`abstract VariableSet`
`variablesRead()`
`abstract VariableSet`
`variablesUpdated()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OUTPUTSTATEMENT

public static final String OUTPUTSTATEMENT

See Also:
  - Constant Field Values

### SEQ_FROM

public static final String SEQ_FROM

See Also:
  - Constant Field Values

### SEQ_TO

public static final String SEQ_TO

See Also:
  - Constant Field Values

### SEQ_INCR

public static final String SEQ_INCR

See Also:
  - Constant Field Values

### SOURCE

public static final String SOURCE

See Also:
  - Constant Field Values

### SETWD

public static final String SETWD

See Also:
  - Constant Field Values

### MATRIX_DATA_TYPE

public static final String MATRIX_DATA_TYPE

See Also:
  - Constant Field Values

### FRAME_DATA_TYPE

public static final String FRAME_DATA_TYPE

See Also:
  - Constant Field Values

### SCALAR_DATA_TYPE

public static final String SCALAR_DATA_TYPE

See Also:
  - Constant Field Values

### DOUBLE_VALUE_TYPE

public static final String DOUBLE_VALUE_TYPE

See Also:
  - Constant Field Values

### BOOLEAN_VALUE_TYPE

public static final String BOOLEAN_VALUE_TYPE

See Also:
  - Constant Field Values

### INT_VALUE_TYPE

public static final String INT_VALUE_TYPE

See Also:
  - Constant Field Values

### STRING_VALUE_TYPE

public static final String STRING_VALUE_TYPE

See Also:
  - Constant Field Values

### GAGG_TARGET

public static final String GAGG_TARGET

See Also:
  - Constant Field Values

### GAGG_GROUPS

public static final String GAGG_GROUPS

See Also:
  - Constant Field Values

### GAGG_WEIGHTS

public static final String GAGG_WEIGHTS

See Also:
  - Constant Field Values

### GAGG_FN

public static final String GAGG_FN

See Also:
  - Constant Field Values

### GAGG_FN_SUM

public static final String GAGG_FN_SUM

See Also:
  - Constant Field Values

### GAGG_FN_COUNT

public static final String GAGG_FN_COUNT

See Also:
  - Constant Field Values

### GAGG_FN_MEAN

public static final String GAGG_FN_MEAN

See Also:
  - Constant Field Values

### GAGG_FN_VARIANCE

public static final String GAGG_FN_VARIANCE

See Also:
  - Constant Field Values

### GAGG_FN_CM

public static final String GAGG_FN_CM

See Also:
  - Constant Field Values

### GAGG_FN_MIN

public static final String GAGG_FN_MIN

See Also:
  - Constant Field Values

### GAGG_FN_MAX

public static final String GAGG_FN_MAX

See Also:
  - Constant Field Values

### GAGG_FN_CM_ORDER

public static final String GAGG_FN_CM_ORDER

See Also:
  - Constant Field Values

### GAGG_NUM_GROUPS

public static final String GAGG_NUM_GROUPS

See Also:
  - Constant Field Values

### PS_MODEL

public static final String PS_MODEL

See Also:
  - Constant Field Values

### PS_FEATURES

public static final String PS_FEATURES

See Also:
  - Constant Field Values

### PS_LABELS

public static final String PS_LABELS

See Also:
  - Constant Field Values

### PS_VAL_FEATURES

public static final String PS_VAL_FEATURES

See Also:
  - Constant Field Values

### PS_VAL_LABELS

public static final String PS_VAL_LABELS

See Also:
  - Constant Field Values

### PS_VAL_FUN

public static final String PS_VAL_FUN

See Also:
  - Constant Field Values

### PS_UPDATE_FUN

public static final String PS_UPDATE_FUN

See Also:
  - Constant Field Values

### PS_AGGREGATION_FUN

public static final String PS_AGGREGATION_FUN

See Also:
  - Constant Field Values

### PS_MODE

public static final String PS_MODE

See Also:
  - Constant Field Values

### PS_GRADIENTS

public static final String PS_GRADIENTS

See Also:
  - Constant Field Values

### PS_SEED

public static final String PS_SEED

See Also:
  - Constant Field Values

### PS_MODELAVG

public static final String PS_MODELAVG

See Also:
  - Constant Field Values

### PS_NBATCHES

public static final String PS_NBATCHES

See Also:
  - Constant Field Values

### PS_HE

public static final String PS_HE

See Also:
  - Constant Field Values

### PS_NUM_BACKUP_WORKERS

public static final String PS_NUM_BACKUP_WORKERS

See Also:
  - Constant Field Values

### PS_UPDATE_TYPE

public static final String PS_UPDATE_TYPE

See Also:
  - Constant Field Values

### PS_FREQUENCY

public static final String PS_FREQUENCY

See Also:
  - Constant Field Values

### PS_FED_WEIGHTING

public static final String PS_FED_WEIGHTING

See Also:
  - Constant Field Values

### PS_FED_RUNTIME_BALANCING

public static final String PS_FED_RUNTIME_BALANCING

See Also:
  - Constant Field Values

### PS_EPOCHS

public static final String PS_EPOCHS

See Also:
  - Constant Field Values

### PS_BATCH_SIZE

public static final String PS_BATCH_SIZE

See Also:
  - Constant Field Values

### PS_PARALLELISM

public static final String PS_PARALLELISM

See Also:
  - Constant Field Values

### PS_SCHEME

public static final String PS_SCHEME

See Also:
  - Constant Field Values

### PS_HYPER_PARAMS

public static final String PS_HYPER_PARAMS

See Also:
  - Constant Field Values

### PS_CHECKPOINTING

public static final String PS_CHECKPOINTING

See Also:
  - Constant Field Values

### PS_FED_BATCH_SIZE

public static final String PS_FED_BATCH_SIZE

See Also:
  - Constant Field Values

### PS_FED_DATA_SIZE

public static final String PS_FED_DATA_SIZE

See Also:
  - Constant Field Values

### PS_FED_POSS_BATCHES_LOCAL

public static final String PS_FED_POSS_BATCHES_LOCAL

See Also:
  - Constant Field Values

### PS_FED_NAMESPACE

public static final String PS_FED_NAMESPACE

See Also:
  - Constant Field Values

### PS_FED_GRADIENTS_FNAME

public static final String PS_FED_GRADIENTS_FNAME

See Also:
  - Constant Field Values

### PS_FED_AGGREGATION_FNAME

public static final String PS_FED_AGGREGATION_FNAME

See Also:
  - Constant Field Values

### PS_FED_MODEL_VARID

public static final String PS_FED_MODEL_VARID

See Also:
  - Constant Field Values

## Constructor Details

### Statement

public Statement()

## Method Details

### controlStatement

public abstract boolean controlStatement()

### variablesRead

public abstract VariableSet variablesRead()

### variablesUpdated

public abstract VariableSet variablesUpdated()

### initializeforwardLV

public abstract void initializeforwardLV(VariableSet activeIn)

### initializebackwardLV

public abstract VariableSet initializebackwardLV(VariableSet lo)

### rewriteStatement

public abstract Statement rewriteStatement(String prefix)

### isEmptyNewLineStatement

public boolean isEmptyNewLineStatement()

### setEmptyNewLineStatement

public void setEmptyNewLineStatement(boolean isEmptyNewLineStatement)

### setFilename

public void setFilename(String passed)

Specified by:
  `setFilename` in interface `ParseInfo`

### setBeginLine

public void setBeginLine(int passed)

Specified by:
  `setBeginLine` in interface `ParseInfo`

### setBeginColumn

public void setBeginColumn(int passed)

Specified by:
  `setBeginColumn` in interface `ParseInfo`

### setEndLine

public void setEndLine(int passed)

Specified by:
  `setEndLine` in interface `ParseInfo`

### setEndColumn

public void setEndColumn(int passed)

Specified by:
  `setEndColumn` in interface `ParseInfo`

### setCtxValues

public void setCtxValues(org.antlr.v4.runtime.ParserRuleContext ctx)
Set ParserRuleContext values (begin line, begin column, end line, end column, and text).

Parameters:
  `ctx` - the antlr ParserRuleContext

### setCtxValuesAndFilename

public void setCtxValuesAndFilename(org.antlr.v4.runtime.ParserRuleContext ctx, String filename)
Set ParserRuleContext values (begin line, begin column, end line, end column, and text) and file name.

Parameters:
  `ctx` - the antlr ParserRuleContext
  `filename` - the filename (if it exists)

### getBeginLine

public int getBeginLine()

Specified by:
  `getBeginLine` in interface `ParseInfo`

### getBeginColumn

public int getBeginColumn()

Specified by:
  `getBeginColumn` in interface `ParseInfo`

### getEndLine

public int getEndLine()

Specified by:
  `getEndLine` in interface `ParseInfo`

### getEndColumn

public int getEndColumn()

Specified by:
  `getEndColumn` in interface `ParseInfo`

### getFilename

public String getFilename()

Specified by:
  `getFilename` in interface `ParseInfo`

### printErrorLocation

public String printErrorLocation()

### printWarningLocation

public String printWarningLocation()

### raiseValidateError

public void raiseValidateError(String msg, boolean conditional)

### raiseValidateError

public void raiseValidateError(String msg, boolean conditional, String errorCode)

### getText

public String getText()

Specified by:
  `getText` in interface `ParseInfo`

### setText

public void setText(String text)

Specified by:
  `setText` in interface `ParseInfo`

### setParseInfo

public void setParseInfo(ParseInfo parseInfo)
Set parse information.

Parameters:
  `parseInfo` - parse information, such as beginning line position, beginning column position, ending line position, ending column position, text, and filename